[pulseaudio-commits] bootstrap.sh

Tanu Kaskinen tanuk at kemper.freedesktop.org
Sat Sep 9 13:25:39 UTC 2017


 bootstrap.sh |   14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

New commits:
commit 675a407a0eb46aa7a24b4deb0343208aad4af321
Author: Russell Treleaven <rtreleaven at bunnykick.ca>
Date:   Fri Sep 8 10:24:31 2017 -0400

    build-sys: make bootstrap.sh fail if autopoint or intltoolize are not available

diff --git a/bootstrap.sh b/bootstrap.sh
index 57494fca..0a05a3e4 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -32,13 +32,17 @@ fi
 # configure file faulty.
 if ! pkg-config --version &>/dev/null; then
     echo "pkg-config is required to bootstrap this program"
-    DIE=1
+    exit 1
 fi
-
 # Other necessary programs
-intltoolize --version >/dev/null || DIE=1
-test "$DIE" = 1 && exit 1
-
+if ! autopoint --version &>/dev/null ; then
+    echo "autopoint is required to bootstrap this program"
+    exit 1
+fi
+if ! intltoolize --version >/dev/null ; then
+    echo "intltoolize is required to bootstrap this program"
+    exit 1
+fi
 autopoint --force
 AUTOPOINT='intltoolize --automake --copy' autoreconf --force --install --verbose
 



More information about the pulseaudio-commits mailing list